.collapse-block h2 {
    color: #002540;
    transition: color 0.3s ease;
}

.collapse-block:hover h2,
.collapse-block.active h2 {
    color: #3682AE;
}

.collapse-block svg {
    transform: rotate(0deg);
    stroke: #002540;
    transition: all 0.3s ease;
}

.collapse-block:hover svg,
.collapse-block.active svg {
    stroke: #3682AE;
}

.collapse-block.active svg {
    transform: rotate(-180deg);
}

.collapse-block .collapse-content {
    display: grid;
    grid-template-rows: 0fr;
    transition: grid-template-rows 0.4s ease;
}

.collapse-block.active .collapse-content {
    grid-template-rows: 1fr;
}